## autoimport 0.1.1

=== DESCRIPTION ===
Package: autoimport
Version: 0.1.1
Title: Automatic Generation of @importFrom Tags
Authors@R: 
    c(person(given = "Dan",
             family = "Chaltiel",
             role = c("aut", "cre"),
             email = "dan.chaltiel@gmail.com",
             comment = c(ORCID = "0000-0003-3488-779X")))
Description: A toolbox to read all R files inside a package and
    automatically generate @importFrom 'roxygen2' tags in the right place. 
    Includes a 'shiny' application to review the changes before applying them.
License: GPL-3
URL: https://github.com/DanChaltiel/autoimport,
        https://danchaltiel.github.io/autoimport/
BugReports: https://github.com/DanChaltiel/autoimport/issues
Depends: R (>= 3.6.0)
Imports: cli, desc, diffviewer, digest, dplyr, fs, glue, purrr, readr,
        rlang, shiny, stringr, tibble, tidyr, utils
Suggests: callr, covr, devtools, knitr, pkgload, rstudioapi, testthat
        (>= 3.0.0), tidyverse
Encoding: UTF-8
RoxygenNote: 7.3.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-02-01 09:31:57 UTC; Dan
Author: Dan Chaltiel [aut, cre] (<https://orcid.org/0000-0003-3488-779X>)
Maintainer: Dan Chaltiel <dan.chaltiel@gmail.com>
Repository: CRAN
Date/Publication: 2025-02-03 12:00:02 UTC
