=== debian/changelog ===
autoimport (1.2.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 10 Aug 2022 12:18:13 +0100

autoimport (1.2.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1015811)

 -- Edward Betts <edward@4angle.com>  Thu, 28 Jul 2022 15:49:18 +0100
