=== debian/control ===
Source: autoimport
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pdm-pep517
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/lyz-code/autoimport
Vcs-Browser: https://salsa.debian.org/python-team/packages/autoimport
Vcs-Git: https://salsa.debian.org/python-team/packages/autoimport.git

Package: autoimport
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, autoflake
Description: Automatically import missing Python libraries
 Throughout the development of a Python program you continuously need to manage
 the Python import statements either because you need one new object or because
 you no longer need it. This means that you need to stop writing whatever you
 were writing, go to the top of the file, create or remove the import statement
 and then resume coding.
 .
 This workflow break is annoying and almost always unnecessary. 'autoimport'
 solves this problem if you execute it whenever you have an import error, for
 example by configuring your editor to run it when saving the file.
