## autoimport 1.2.3

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,28 @@
 	pdm update --no-sync
 	pdm sync --clean
 
-	@echo ""
+	@echo "\a"
+
+.PHONY: update-production
+update-production:
+	@echo "------------------------------------"
+	@echo "- Updating production dependencies -"
+	@echo "------------------------------------"
+
+	pdm update --production --no-sync
+	pdm sync --clean
+
+	@echo "\a"
+
+.PHONY: outdated
+outdated:
+	@echo "-------------------------"
+	@echo "- Outdated dependencies -"
+	@echo "-------------------------"
+
+	pdm update --dry-run --unconstrained
+
+	@echo "\a"
 
 .PHONY: format
 format:
@@ -35,7 +56,7 @@
 	@echo "- Testing the lint -"
 	@echo "--------------------"
 
-	pdm run flakehell lint --exclude assets src/ tests/ setup.py
+	pdm run flakeheaven lint --exclude assets src/ tests/ setup.py
 	$(isort) --check-only --df
 	$(black) --check --diff
 
@@ -54,6 +75,8 @@
 .PHONY: test
 test: test-code test-examples
 
+	@echo "\a"
+
 .PHONY: test-code
 test-code:
 	@echo "----------------"
@@ -70,12 +93,17 @@
 	@echo "- Testing examples -"
 	@echo "--------------------"
 
-	@find docs/examples -type f -name '*.py' | xargs -I'{}' sh -c 'python {} >/dev/null 2>&1 || (echo "{} failed" ; exit 1)'
+	# @find docs/examples -type f -name '*.py' | xargs -I'{}' sh -c 'echo {}; pdm run python {} >/dev/null 2>&1 || (echo "{} failed" ; exit 1)'
+	@echo ""
+
+	# pdm run pytest docs/examples/*
 
 	@echo ""
 
 .PHONY: all
-all: lint mypy test security
+all: lint mypy test security build-docs
+
+	@echo "\a"
 
 .PHONY: clean
 clean:
@@ -117,15 +145,18 @@
 	@echo ""
 
 .PHONY: bump
-bump: pull-master bump-version build-package upload-pypi clean
-
-.PHONY: pull-master
-pull-master:
+bump: pull-main bump-version build-package upload-pypi clean
+
+	@echo "\a"
+
+
+.PHONY: pull-main
+pull-main:
 	@echo "------------------------"
 	@echo "- Updating repository  -"
 	@echo "------------------------"
 
-	git checkout master
+	git checkout main
 	git pull
 
 	@echo ""
@@ -141,12 +172,12 @@
 	@echo ""
 
 .PHONY: build-docs
-build-docs: test-examples
+build-docs:
 	@echo "--------------------------"
 	@echo "- Building documentation -"
 	@echo "--------------------------"
 
-	pdm run mkdocs build
+	pdm run mkdocs build --strict
 
 	@echo ""
