=== debian/changelog ===
autoimport (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Add superficial autopkgtest.
  * Add two missing dependencies: python3-maison and python3-pyprojroot.

 -- Edward Betts <edward@4angle.com>  Sun, 25 Sep 2022 20:59:50 +0100
