=== debian/control ===
--- 
+++ 
@@ -16,7 +16,11 @@
 
 Package: autoimport
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, autoflake
+Depends: autoflake,
+         python3-maison,
+         python3-pyprojroot,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Automatically import missing Python libraries
  Throughout the development of a Python program you continuously need to manage
  the Python import statements either because you need one new object or because
