## autoimport 1.3.1

=== Makefile ===
--- 
+++ 
@@ -115,6 +115,7 @@
 	rm -f `find . -type f -name '*.py[co]' `
 	rm -f `find . -type f -name '*.rej' `
 	rm -rf `find . -type d -name '*.egg-info' `
+	rm -rf `find . -type d -name '.mypy_cache' `
 	rm -f `find . -type f -name '*~' `
 	rm -f `find . -type f -name '.*~' `
 	rm -rf .cache
