=== debian/changelog ===
autoimport (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 17 Oct 2022 12:38:52 +0100
