## autoimport 1.3.2

=== debian/changelog ===
autoimport (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 16 Nov 2022 11:15:38 +0000
