## autoimport 1.3.3

=== debian/changelog ===
autoimport (1.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Thu, 16 Feb 2023 10:13:19 +0000
