=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all,
                python3-pdm-pep517
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/lyz-code/autoimport
 Vcs-Browser: https://salsa.debian.org/python-team/packages/autoimport
 Vcs-Git: https://salsa.debian.org/python-team/packages/autoimport.git
