## autoimport 1.4.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	@echo "- Updating dependencies -"
 	@echo "-------------------------"
 
-	pdm update --no-sync
+	pdm update --no-sync --update-eager
 	pdm sync --clean
 
 	@echo "\a"
@@ -24,7 +24,7 @@
 	@echo "- Updating production dependencies -"
 	@echo "------------------------------------"
 
-	pdm update --production --no-sync
+	pdm update --production --no-sync --update-eager
 	pdm sync --clean
 
 	@echo "\a"
