=== debian/changelog ===
autoimport (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch Build-Depends on python3-pdm-pep517 to python3-pdm-backend because
    upstream changed build systems.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Dec 2023 08:39:25 +0000
