=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-pdm-pep517
+               python3-pdm-backend
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/lyz-code/autoimport
