## autoimport 1.5.0

=== debian/changelog ===
autoimport (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sat, 11 May 2024 08:29:55 +0100
