=== debian/changelog ===
autoimport (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Support maison 2.0.0.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Aug 2024 09:07:18 +0100

autoimport (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 16 Jul 2024 16:01:01 +0900
