=== debian/tests/control ===
Test-Command: autoimport
Depends: python3-all, @
Restrictions: superficial
