=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/autoimport-$1\.tar\.gz/ \
  https://github.com/lyz-code/autoimport/tags .*/v?(\d\S+)\.tar\.gz
